Перейти к основному содержимому

AI Gateway

Операция
Метод
Путь
List library collections
GET
/ai/gateway/library
List items in a library collection
GET
/ai/gateway/library/{collection}
Get a library item by ID
GET
/ai/gateway/library/{collection}/{id}
List operator recipes
GET
/ai/gateway/recipes
Get a recipe by ID
GET
/ai/gateway/recipes/{id}
Validate the recipe catalog
GET
/ai/gateway/recipes/validate
Get live gateway schema
GET
/ai/gateway/schema
List available and granted scopes
GET
/ai/gateway/scopes
Get task control-plane events
GET
/ai/gateway/tasks/{id}/control-plane-events
Get task convergence report
GET
/ai/gateway/tasks/{id}/convergence-report
Get task metrics summary
GET
/ai/gateway/tasks/{id}/metrics-summary
Get deterministic task report
GET
/ai/gateway/tasks/{id}/report
Identify the calling AI key
GET
/ai/gateway/whoami
Confirm certificate creation (approval step)
POST
/ai/gateway/library/certificates/create/confirm
Prepare certificate creation (approval step)
POST
/ai/gateway/library/certificates/create/prepare
Confirm file upload (approval step)
POST
/ai/gateway/library/files/upload/confirm
Prepare file upload (approval step)
POST
/ai/gateway/library/files/upload/prepare
Plan recipes from a free-text intent
POST
/ai/gateway/plan/intent
Build a task draft from a recipe
POST
/ai/gateway/recipes/{id}/draft
Confirm a runtime task action (approval step)
POST
/ai/gateway/tasks/actions/confirm
Prepare a runtime task action (approval step)
POST
/ai/gateway/tasks/actions/prepare
Confirm task creation (approval step)
POST
/ai/gateway/tasks/create/confirm
Prepare task creation (approval step)
POST
/ai/gateway/tasks/create/prepare
Diagnose a failing task draft
POST
/ai/gateway/tasks/draft/diagnose
Validate a task draft
POST
/ai/gateway/tasks/draft/validate
Confirm task start (approval step)
POST
/ai/gateway/tasks/start/confirm
Prepare task start (approval step)
POST
/ai/gateway/tasks/start/prepare
Confirm task stop (approval step)
POST
/ai/gateway/tasks/stop/confirm
Prepare task stop (approval step)
POST
/ai/gateway/tasks/stop/prepare